List Orders

Required permission: read_orders

Get a list of orders for your organization or client.

Query Params
string
enum

Specifies the field by which to sort the returned orders:

  • created_at: Sort by the creation date of the order.
  • order_number: Sort by the order number.
  • order_date: Sort by the order date.
Allowed:
string

The API ID of the order from the marketplace.

string

The custom status of the order. This must match the exact name of the status in warehance.

boolean

Whether the order has any hold. omit to not filter by this field.

boolean

Whether the order is on hold at the warehouse. omit to not filter by this field.

boolean

Whether the order is on hold at the payment. omit to not filter by this field.

boolean

Whether the order is on hold at the allocation. omit to not filter by this field.

boolean

Whether the order is on hold at the fraud. omit to not filter by this field.

boolean

Whether the order is on hold at the address. omit to not filter by this field.

boolean

Whether the order is on hold at the store. omit to not filter by this field.

integer

The ID of the store to filter by. omit to not filter by this field.

string

Filter by fulfillment statuses (comma-separated). Example: unfulfilled,partially_fulfilled

  • unfulfilled: The order has not been fulfilled.
  • partially_fulfilled: The order has been partially fulfilled.
  • fulfilled: The order has been completely fulfilled.
  • in_progress: The order fulfillment is in progress.
  • cancelled: The order has been cancelled.
integer
1 to 100
Defaults to 25

The maximum number of items to return in the response. Used for pagination. Must be between 1 and 100.

integer
≥ 0
Defaults to 0

The number of items to skip before starting to return results. Used for offset-based pagination. Cannot be used together with the cursor parameter.

string

A cursor for pagination. Use the next_cursor value from a previous response to fetch the next page of results. This provides more efficient pagination than offset-based pagination, especially for large datasets. Cannot be used together with the offset parameter.

string
enum
Defaults to asc

Specifies the sort direction of the returned items:

  • asc: Ascending order. For dates, this means from oldest to newest. For numbers, this means from smallest to largest.
  • desc: Descending order. For dates, this means from newest to oldest. For numbers, this means from largest to smallest.
Allowed:
string

A value to search for within the items. The specific fields searched depend on the endpoint.

integer
≥ 1

Only applicable for organizations. Filters items by the specified client_id, provided the client_id belongs to the organization. Note: API keys can belong to either client level or organization level.

date-time

Filters items by the specified updated_at start date.

date-time

Filters items by the specified updated_at end date.

date-time

Filters items by the specified created_at start date.

date-time

Filters items by the specified created_at end date.

date-time

Filters orders by the specified order_date start date.

date-time

Filters orders by the specified order_date end date.

date-time

Filters orders by the specified required_ship_date start date.

date-time

Filters orders by the specified required_ship_date end date.

date-time

Filters orders by the specified hold_until_date start date.

date-time

Filters orders by the specified hold_until_date end date.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json